CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.UpdateClusterRegistryModelAsync(
id: "meetkai:my-custom-chat-v1",
body: new MeetKai.MKA1.Types.Components.UpdateRegistryModelRequest() {
DisplayName = "My Custom Chat v2",
Rpm = 240,
DefaultParams = new UpdateRegistryModelRequestDefaultParams() {
Temperature = 0.1D,
TopP = 0.9D,
},
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.update_cluster_registry_model(id="meetkai:my-custom-chat-v1", display_name="My Custom Chat v2", api_format="tts", rpm=240, default_params={
"temperature": 0.1,
"top_p": 0.9,
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.updateClusterRegistryModel({
id: "meetkai:my-custom-chat-v1",
updateRegistryModelRequest: {
displayName: "My Custom Chat v2",
rpm: 240,
defaultParams: {
temperature: 0.1,
topP: 0.9,
},
},
});
console.log(result);
}
run();curl --request PATCH \
--url https://apigw.mka1.com/api/v1/llm/models/registry/cluster/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "My Custom Chat v2",
"rpm": 240,
"defaultParams": {
"temperature": 0.1,
"topP": 0.9
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: 'My Custom Chat v2',
rpm: 240,
defaultParams: {temperature: 0.1, topP: 0.9}
})
};
fetch('https://apigw.mka1.com/api/v1/llm/models/registry/cluster/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"model_id": "my-custom-chat-v1",
"source": "database",
"immutable": false,
"definition": {
"id": "meetkai:my-custom-chat-v1",
"provider": "openai-compatible",
"modelId": "my-custom-chat-v1",
"displayName": "My Custom Chat v2",
"baseUrl": "https://models.example.com/v1",
"apiFormat": "responses",
"created": 1704067200,
"auth": {
"type": "api-key",
"value": "****"
},
"capabilities": {
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"reasoning": true,
"supportsTemperature": true,
"supportsTopP": true
},
"contextWindow": 131072,
"rpm": 240,
"defaultParams": {
"temperature": 0.1,
"topP": 0.9
},
"hidden": false,
"healthCheck": {
"mode": "preflight",
"path": "/models"
},
"source": "database",
"immutable": false
},
"health": {
"is_available": true,
"last_health_check": 1704067200000,
"error": null
},
"created_at": 1704067200000,
"updated_at": 1704240000000
}Models
Update a cluster-owned model
Partially updates an operator-owned, API-added model. Only provided fields change. Cluster admin only.
PATCH
/
api
/
v1
/
llm
/
models
/
registry
/
cluster
/
{id}
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.UpdateClusterRegistryModelAsync(
id: "meetkai:my-custom-chat-v1",
body: new MeetKai.MKA1.Types.Components.UpdateRegistryModelRequest() {
DisplayName = "My Custom Chat v2",
Rpm = 240,
DefaultParams = new UpdateRegistryModelRequestDefaultParams() {
Temperature = 0.1D,
TopP = 0.9D,
},
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.update_cluster_registry_model(id="meetkai:my-custom-chat-v1", display_name="My Custom Chat v2", api_format="tts", rpm=240, default_params={
"temperature": 0.1,
"top_p": 0.9,
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.updateClusterRegistryModel({
id: "meetkai:my-custom-chat-v1",
updateRegistryModelRequest: {
displayName: "My Custom Chat v2",
rpm: 240,
defaultParams: {
temperature: 0.1,
topP: 0.9,
},
},
});
console.log(result);
}
run();Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Path Parameters
Body
application/json
Available options:
responses, completions, embeddings, images, transcriptions, tts Available options:
groq, azure, meetkai, meetkaiGateway, fal, openai Required range:
0 <= x <= 9007199254740991- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 < x <= 9007199254740991Required range:
0 < x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
⌘I